<div class="dropdown">
    <button (click)="toggle()"><i [class]="icon"></i></button>
    <div [@shrink] [style.transform-origin]="transformOrigin"
    *ngIf="shown$ | async" class="content" (click)="toggle()">
        <ng-content></ng-content>
    </div>
</div>
